### Method

# GLib Completion set_compare

deprecated: 2.26

#### Declaration [src]

    void
    g_completion_set_compare (
      GCompletion* cmp,
      GCompletionStrncmpFunc strncmp_func
    )

#### Description [src]

Sets the function to use for string comparisons. The default string comparison function is strncmp().

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`strncmp_func`

  Type: `GCompletionStrncmpFunc`

  The string comparison function.